## org.eclipse.emf.common.ui.action
Class ViewerFilterAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.common.ui.action.ViewerFilterAction

All Implemented Interfaces:
  IAction

    public abstract class ViewerFilterAction

extends Action

Action wrapper for a `ViewerFilter` that can be used in multiple viewers.

Since:
  2.2.0

Field Summary
`protected ViewerFilter` `viewerFilter`
`protected java.util.List<Viewer>` `viewers`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ViewerFilterAction(java.lang.String text, int style)`

Method Summary
`void` `addViewer(Viewer viewer)`
`void` `dispose()`
`protected void` `refreshViewers()`
`void` `removeViewer(Viewer viewer)`
`abstract boolean` `select(Viewer viewer, java.lang.Object parentElement, java.lang.Object element)`
`void` `setChecked(boolean checked)`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### viewers

    protected java.util.List<Viewer> viewers

### viewerFilter

    protected ViewerFilter viewerFilter

Constructor Detail

### ViewerFilterAction

    public ViewerFilterAction(java.lang.String text,
                              int style)

Method Detail

### addViewer

    public void addViewer(Viewer viewer)

### removeViewer

    public void removeViewer(Viewer viewer)

### dispose

    public void dispose()

### setChecked

    public void setChecked(boolean checked)

  Specified by:
    `setChecked` in interface `IAction`
  Overrides:
    `setChecked` in class `Action`

### refreshViewers

    protected void refreshViewers()

### select

    public abstract boolean select(Viewer viewer,
                                   java.lang.Object parentElement,
                                   java.lang.Object element)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.